//
// Platform specific user interface support
//
//////////////////////////////////////////////////////////////////////
#if !defined(USER_INTERFACE_H)
#define USER_INTERFACE_H

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Interface.h"

// interface exported by the user interface code
#define IFACE_USERINTERFACE "WinUI"

// This will eventually allow devices to add menu items,
// indicators, toolbar icons etc. 
struct IWinUI
{
	Interface iface;

	BOOL (*AddPropertyPage)(IWinUI*, CPropertyPage*);
	BOOL (*RemovePropertyPage)(IWinUI*, CPropertyPage*);
};

#endif // USER_INTERFACE