//
// Interface to the common console for diagnostics messages
//
//////////////////////////////////////////////////////////////////////
#if !defined(CONSOLE_H)
#define CONSOLE_H

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Interface.h"

// interface name for consoles

#define IFACE_CONSOLE "Console"

struct IConsole
{
	Interface iface;

	// single instance so no need for instance arg
	void (__cdecl *printf)(const char *format, ...);
	void (*PrintString)(const char*);
	void (*PrintWord)(Word);
	void (*PrintChar)(char c);
};

// single exported instance
extern IConsole* console;

#endif // CONSOLE_H